Bug 527245 - Review Request: evolution-couchdb - An evolution backend to CouchDBs for PIM information
Summary: Review Request: evolution-couchdb - An evolution backend to CouchDBs for PIM ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Sebastian Dziallas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 527231
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-05 14:48 UTC by Peter Robinson
Modified: 2009-10-22 06:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-22 06:54:29 UTC
Type: ---
sebastian: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Robinson 2009-10-05 14:48:56 UTC
SPEC: http://pbrobinson.fedorapeople.org/evolution-couchdb.spec
SRPM: http://pbrobinson.fedorapeople.org/evolution-couchdb-0.3.0-1.fc11.src.rpm

Description:
CouchDB-GLib is a GLib-based API to access CouchDB servers
(http://couchdb.apache.org), a replication/synchronization 
schema-free database of JSON documents, used in online services 
like Midgard.

This is a plugin to evolution to allow access to PIM information
stored in a CouchDB.

Comment 2 Ionuț Arțăriși 2009-10-07 15:05:13 UTC
Hi!

(this is not a review)

couchdb-glib-devel is listed as a BuildRequirement, but I can't find it in bugzilla. Have you submitted it for review?

Also, why does the description describe couchdb-glib?

Comment 3 Peter Robinson 2009-10-07 15:10:53 UTC
> couchdb-glib-devel is listed as a BuildRequirement, but I can't find it in
> bugzilla. Have you submitted it for review?

Check the dependencies of this bug.

Comment 5 Sebastian Dziallas 2009-10-21 16:29:29 UTC
So let's get this done now! Here's are the two things I came across:

* license field is apparently wrong. COPYING and the headers indicate that it's GPL v3 or later and not GPLv2. Please fix this.

* rpmlint is not yet calm - you might want to fix that by converting the NEWS file in the spec.

[sebastian@localhost ~]$ rpmlint evolution-couchdb-0.3.2-1.fc12.i686.rpm
evolution-couchdb.i686: W: file-not-utf8 /usr/share/doc/evolution-couchdb-0.3.2/NEWS
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

That's already it, fix them and I'll approve it.

[  OK  ] specfiles match: d8213dfcc77ba17aa289ce09a56181c857bf2fed
[  OK  ] source files match upstream: b1c6a7b1ab7f945e0f35bd59f775f5f9a1a746c8
[  OK  ] package meets naming and versioning guidelines.
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[ FAIL ] license field matches the actual license.
[  OK  ] license is open source-compatible.
[  OK  ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  OK  ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  OK  ] debuginfo package looks complete.
[ FAIL ] rpmlint is silent.
[  OK  ] final provides and requires are sane
[  NA  ] %check is present and all tests pass:
[  OK  ] no shared libraries are added to the regular linker search paths.
[  NA  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  OK  ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers.
[  OK  ] no pkgconfig files.
[  OK  ] no libtool .la droppings.
[  NA  ] desktop files valid and installed properly.

Comment 7 Sebastian Dziallas 2009-10-21 21:08:51 UTC
That looks all fine to me! :) APPROVED.

Comment 8 Peter Robinson 2009-10-21 21:11:47 UTC
Thanks Sebastian

New Package CVS Request
=======================
Package Name: evolution-couchdb
Short Description: An evolution backend to CouchDBs for PIM information
Owners: pbrobinson
Branches: F-12 F-11
InitialCC:

Comment 9 Kevin Fenzi 2009-10-22 04:49:59 UTC
cvs done.

Comment 10 Peter Robinson 2009-10-22 06:54:29 UTC
Built and rel-eng ticket files to tag into F-12


Note You need to log in before you can comment on or make changes to this bug.